//---------------------------------------------------------
//                                               BO_profit
//---------------------------------------------------------

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 FireBrick
#property indicator_width1  2
#property indicator_width2  2

extern int ADXbars = 30;
extern int CountBars = 350;
extern int arrowcodeup = 233;
extern int arrowcodedn = 234;
extern int arrowSize   = 2;

double upbuffer[];
double dnbuffer[];
double iadx1;
double iadx2;
double iadx3;
double iadx4;

// 
//
int init() {
   IndicatorBuffers(2);
   SetIndexBuffer(0, upbuffer);
   SetIndexBuffer(1, dnbuffer);
   SetIndexStyle(0,DRAW_ARROW,0,arrowSize); SetIndexArrow(0,arrowcodeup);
   SetIndexStyle(1,DRAW_ARROW,0,arrowSize); SetIndexArrow(1,arrowcodedn);
   IndicatorShortName("BO_Proft("+ADXbars+")");
 
    return (0);
}

// 
int start() {
   if (CountBars >= Bars) CountBars = Bars;
   SetIndexDrawBegin(0, Bars - CountBars);
   SetIndexDrawBegin(1, Bars - CountBars);
   
   if (IndicatorCounted() < 0) return (-1);
   for (int j = CountBars; j >= 0; j--) {
      upbuffer[j] = EMPTY_VALUE;
      dnbuffer[j] = EMPTY_VALUE;
      iadx1 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_PLUSDI, j + 1);
      iadx2 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_PLUSDI, j);
      iadx3 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_MINUSDI, j + 1);
      iadx4 = iADX(NULL, 0, ADXbars, PRICE_CLOSE, MODE_MINUSDI, j);
      if (iadx1 < iadx3 && iadx2 > iadx4) upbuffer[j] = Low[j] - 50.0 * Point;
      if (iadx1 > iadx3 && iadx2 < iadx4) dnbuffer[j] = High[j] + 50.0 * Point;
      
   }
   return (0);
}


